Skip to main content
POST
Run an instant Prometheus query

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Body

application/json
query
string
required
timeout_seconds
number | null

Response

Successful Response

status
string
required
effective_step_seconds
integer

Spacing in seconds of the points returned, on a range query. Wider than step_seconds when points were dropped.

result
any[]
result_type
string | null
step_seconds
integer

Step in seconds the metrics source was asked for, on a range query.

total_series
integer
default:0
truncated
boolean
default:false

The answer is not all of what the query produced: series were dropped, points were, or both.